Open SCAP Library

Public Member Functions
cve_product_iterator Struct Reference
CVE

Iterator over CVE products. More...

`#include <cve_nvd.h>`

## Public Member Functions
void | cve_product_iterator_remove (struct cve_product_iterator *it)
void | cve_product_iterator_reset (struct cve_product_iterator *it)
Iterators
struct cve_product * | cve_product_iterator_next (struct cve_product_iterator *it)
bool | cve_product_iterator_has_more (struct cve_product_iterator *it)
void | cve_product_iterator_free (struct cve_product_iterator *it)

## Detailed Description

Iterator over CVE products.

See also
  oscap_iterator

## Member Function Documentation

## ◆ cve_product_iterator_remove()

void cve_product_iterator_remove | ( | struct cve_product_iterator * | it | ) |

## ◆ cve_product_iterator_reset()

void cve_product_iterator_reset | ( | struct cve_product_iterator * | it | ) |

The documentation for this struct was generated from the following file:

- cve_nvd.h